nxt.blockchain

## Enum BlockchainProcessor.Event

- java.lang.Object
- - java.lang.Enum<BlockchainProcessor.Event>
  - - nxt.blockchain.BlockchainProcessor.Event

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<BlockchainProcessor.Event>
  Enclosing interface:
    BlockchainProcessor

      public static enum BlockchainProcessor.Event
      extends java.lang.Enum<BlockchainProcessor.Event>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AFTER_BLOCK_ACCEPT`
    `AFTER_BLOCK_APPLY`
    `BEFORE_BLOCK_ACCEPT`
    `BEFORE_BLOCK_APPLY`
    `BLOCK_GENERATED`
    `BLOCK_POPPED`
    `BLOCK_PUSHED`
    `BLOCK_SCANNED`
    `RESCAN_BEGIN`
    `RESCAN_END`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BlockchainProcessor.Event` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static BlockchainProcessor.Event[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BLOCK_PUSHED

          public static final BlockchainProcessor.Event BLOCK_PUSHED

    - #### BLOCK_POPPED

          public static final BlockchainProcessor.Event BLOCK_POPPED

    - #### BLOCK_GENERATED

          public static final BlockchainProcessor.Event BLOCK_GENERATED

    - #### BLOCK_SCANNED

          public static final BlockchainProcessor.Event BLOCK_SCANNED

    - #### RESCAN_BEGIN

          public static final BlockchainProcessor.Event RESCAN_BEGIN

    - #### RESCAN_END

          public static final BlockchainProcessor.Event RESCAN_END

    - #### BEFORE_BLOCK_ACCEPT

          public static final BlockchainProcessor.Event BEFORE_BLOCK_ACCEPT

    - #### AFTER_BLOCK_ACCEPT

          public static final BlockchainProcessor.Event AFTER_BLOCK_ACCEPT

    - #### BEFORE_BLOCK_APPLY

          public static final BlockchainProcessor.Event BEFORE_BLOCK_APPLY

    - #### AFTER_BLOCK_APPLY

          public static final BlockchainProcessor.Event AFTER_BLOCK_APPLY

  - ### Method Detail

    - #### values

          public static BlockchainProcessor.Event[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BlockchainProcessor.Event c : BlockchainProcessor.Event.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BlockchainProcessor.Event valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null